No reauthentication when an account fails to authenticate

Bug #1405649 reported by Niklas Wenzel on 2014-12-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
account-polld (Ubuntu)
Undecided
Niklas Wenzel
account-polld (Ubuntu RTM)
Undecided
Unassigned

Bug Description

When an account fails to authenticate once, it needs to try to login again afterwards. However, the old error permanently prevents it from trying again.
As this happens very often to me on startup, I am almost never shown notifications.

Excerpt from the logs:

2014/10/19 17:23:15 Received Poll()
2014/10/19 17:23:15 Leaving poll for account 3 as penaly count is 1
2014/10/19 17:23:15 Starting poll for account 4
2014/10/19 17:23:15 Polling account 4
2014/10/19 17:23:15 Account 4 failed to authenticate: GDBus.Error:com.google.code.AccountsSSO.SingleSignOn.Error.NoConnection: Host accounts.google.com not found
2014/10/19 17:23:45 Poll for account 4 has timed out out after 30s
2014/10/19 17:23:45 Ending poll for account 4
2014/10/19 17:28:50 Received Poll()
2014/10/19 17:28:50 Starting poll for account 3
2014/10/19 17:28:50 Leaving poll for account 4 as penaly count is 1
2014/10/19 17:28:50 Polling account 3
2014/10/19 17:28:50 Account 3 failed to authenticate: GDBus.Error:com.google.code.AccountsSSO.SingleSignOn.Error.NoConnection: Host accounts.google.com not found
2014/10/19 17:29:20 Poll for account 3 has timed out out after 30s
2014/10/19 17:29:20 Ending poll for account 3
2014/10/19 17:34:25 Received Poll()
2014/10/19 17:34:25 Leaving poll for account 3 as penaly count is 1
2014/10/19 17:34:25 Starting poll for account 4
2014/10/19 17:34:25 Polling account 4
2014/10/19 17:34:25 Account 4 failed to authenticate: GDBus.Error:com.google.code.AccountsSSO.SingleSignOn.Error.NoConnection: Host accounts.google.com not found
2014/10/19 17:34:55 Poll for account 4 has timed out out after 30s
2014/10/19 17:34:55 Ending poll for account 4
2014/10/19 17:40:00 Received Poll()
2014/10/19 17:40:00 Starting poll for account 3
2014/10/19 17:40:00 Leaving poll for account 4 as penaly count is 1
2014/10/19 17:40:00 Polling account 3
2014/10/19 17:40:00 Account 3 failed to authenticate: GDBus.Error:com.google.code.AccountsSSO.SingleSignOn.Error.NoConnection: Host accounts.google.com not found
2014/10/19 17:40:30 Poll for account 3 has timed out out after 30s
2014/10/19 17:40:30 Ending poll for account 3

Related branches

Niklas Wenzel (nikwen) on 2014-12-25
Changed in account-polld (Ubuntu):
assignee: nobody → Niklas Wenzel (nikwen)
Niklas Wenzel (nikwen) on 2014-12-28
Changed in account-polld (Ubuntu):
status: New → In Progress
Niklas Wenzel (nikwen) on 2015-04-15
Changed in account-polld (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers